Bug 442991 - Include xenpv-driver in bare metal kernel rpm.
Include xenpv-driver in bare metal kernel rpm.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: beta
: ---
Assigned To: Don Dutile
Martin Jenner
: FutureFeature
: 438479 441471 446099 452303 452370 (view as bug list)
Depends On:
Blocks: 432380 432381 442996 KernelPrio5.3 448753 RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-04-17 23:05 EDT by Daniel Riek
Modified: 2010-10-22 20:14 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Fully virtualized Red Hat Enterprise Linux 5 guests encountered suboptimal performance when using emulated disk and network devices. In this update, the kmod-xenpv package has been included to simplify the use of paravirtualized disks and networks in fully virtualized guests. Using these drivers in fully virtualized guests can significantly improve the performance and functionality of fully virtualized guests. Bug fixes made for netfront and block front drivers are immediately realized and synchronized with the kernel package.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:49:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2008-04-17 23:05:54 EDT
Prior to RHEL 5.3, Red Hat provides a para-virtualized driver as a separate
kmod-xenpv rpm package. In 5.3, the driver is planned to be included in the
normal bare-metal kernel rpm.
Comment 3 Don Dutile 2008-06-19 15:52:19 EDT
*** Bug 446099 has been marked as a duplicate of this bug. ***
Comment 4 Daniel Berrange 2008-07-10 10:49:46 EDT
*** Bug 441471 has been marked as a duplicate of this bug. ***
Comment 5 Don Dutile 2008-07-10 10:53:45 EDT
*** Bug 438479 has been marked as a duplicate of this bug. ***
Comment 6 Don Dutile 2008-07-31 15:00:53 EDT
Posted patches for 5.3 on 7/17 for i686 & x86_64 bare-metal kernels.
Posted patches for 5.3 on 7/25 for ia64 bare-metal kernel.
Comment 7 Don Zickus 2008-08-22 15:49:43 EDT
in kernel-2.6.18-105.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Don Zickus 2008-09-10 21:46:40 EDT
Reverting back to POST so I can bring in the ia64 patch series too.
Comment 9 Don Zickus 2008-09-11 15:43:03 EDT
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 13 Ryan Lerch 2008-11-06 19:03:27 EST
This bug (feature request) has been marked for inclusion in the Red Hat
Enterprise Linux 5.3 Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances induced the feature request.

Consequence:  What action was inhibited by the feature's absence.

Fix:   What was done to implement the feature.

Result:  now happens when the actions or circumstances above occur. (NB: this
is not the same as 'the feature request was fulfilled')
Comment 15 Don Dutile 2008-11-11 16:42:41 EST
First attempt at release note request(s):

Cause:   Performance is improved for fully virtualized (Xen) RHEL guests when paravirtualized drivers are used in the guest system.

Consequence:  Xen-based, fully-virtualized RHEL5 guests had sub-optimal performance in disk and network performance due to emulated disk(IDE) and network (8139) devices.  


Fix:   The asynchronous, kmod-xenpv package was backported and included into RHEL5.3 to simplify the use of Xen paravirtulaized disks and networks in fully virtualized RHEL5 guests.

Result:  The inclusion of the Xen pv drivers in fully virtualized guests can significantly improved the performance and functionality of fully virtualized guests.   Bug fixes made for netfront and block front xen drivers are immediately realized and synchronized with the kernel package (not asynchronous, as the kmod-xenpv package is wrt the kernel package).
Comment 18 Ryan Lerch 2008-11-27 00:18:07 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Fully virtualized Red Hat Enterprise Linux 5 guests encountered suboptimal performance when using emulated disk and network devices. In this update, the kmod-xenpv package has been included to simplify the use of paravirtulaized disks and networks in fully virtualized guests. 

Using these drivers in fully virtualized guests can significantly improve the performance and functionality of fully virtualized guests. Bug fixes made for netfront and block front drivers are immediately realized and synchronized with the kernel package.
Comment 19 Ryan Lerch 2008-11-27 00:19:31 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,3 +1,3 @@
-Fully virtualized Red Hat Enterprise Linux 5 guests encountered suboptimal performance when using emulated disk and network devices. In this update, the kmod-xenpv package has been included to simplify the use of paravirtulaized disks and networks in fully virtualized guests. 
+Fully virtualized Red Hat Enterprise Linux 5 guests encountered suboptimal performance when using emulated disk and network devices. In this update, the kmod-xenpv package has been included to simplify the use of paravirtualized disks and networks in fully virtualized guests. 
 
 Using these drivers in fully virtualized guests can significantly improve the performance and functionality of fully virtualized guests. Bug fixes made for netfront and block front drivers are immediately realized and synchronized with the kernel package.
Comment 20 Chris Ward 2008-11-28 02:13:52 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 21 Chris Ward 2008-12-18 05:38:38 EST
~~ Snapshot 6 is out ~~ Partners, please test and let us know if this bug has been fixed. Add PartnerVerified keyword if everything works as expected. For any new issues encountered, CLONE this bug and report the issues in the new bug.
Comment 32 Chris Lalancette 2009-01-15 04:25:01 EST
*** Bug 452370 has been marked as a duplicate of this bug. ***
Comment 33 Chris Lalancette 2009-01-15 04:25:31 EST
*** Bug 452303 has been marked as a duplicate of this bug. ***
Comment 34 errata-xmlrpc 2009-01-20 14:49:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.